P4_SLITERAL(3)

NAME
p4_sliteral - SLITERAL ( C: str-ptr str-len -- S: str-ptr str-len )

SYNOPSIS

#include <pfe/string-ext.h>

FCode p4_sliteral(---);

DESCRIPTION

this word does almost the same as LITERAL - it takes an S" string as specified in the CS-STACK at compile time and compiles into the current definition where it is returned as if there were a direct string-literal. This can be used to compute a string-literal at compile-time and hardwire it.

      example:
        : ORIGINAL-HOME  [ $HOME COUNT ] SLITERAL ; ( -- str-ptr str-len )

AUTHOR

    • Guido U. Draheim (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) Tektronix, Inc. 1998 - 2001. Copyright (C) 2005 - 2008 Guido U. Draheim <guidod@gmx.de>